﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{9A5FB63E-1E60-478F-89C8-C902048F2AA7}</ProjectGuid>
    <OutputType>Exe</OutputType>
    <RootNamespace>ServerStarter</RootNamespace>
    <AssemblyName>ServerStarter</AssemblyName>
    <TargetFrameworkVersion>v4.6</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
    <TargetFrameworkProfile />
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Newtonsoft.Json, Version=10.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <HintPath>..\..\salesserver\packages\Newtonsoft.Json.10.0.1\lib\net45\Newtonsoft.Json.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="NServiceBus.Core, Version=6.0.0.0, Culture=neutral, PublicKeyToken=9fc386479f8a226c, processorArchitecture=MSIL">
      <HintPath>..\..\salesserver\packages\NServiceBus.6.3.6\lib\net452\NServiceBus.Core.dll</HintPath>
    </Reference>
    <Reference Include="NServiceBus.Persistence.Sql, Version=2.0.0.0, Culture=neutral, PublicKeyToken=9fc386479f8a226c, processorArchitecture=MSIL">
      <HintPath>..\..\salesserver\packages\NServiceBus.Persistence.Sql.2.1.3\lib\net452\NServiceBus.Persistence.Sql.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.ServiceModel" />
    <Reference Include="System.ServiceModel.Web" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="ServerStarter.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
      <DependentUpon>Settings.settings</DependentUpon>
    </Compile>
    <Compile Include="ServiceBus\AccountancyEvents.cs" />
    <Compile Include="ServiceBus\CheckPayment\CheckPaymentSaga.cs" />
    <Compile Include="ServiceBus\CheckPayment\CheckPaymentSagaData.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config">
      <SubType>Designer</SubType>
    </None>
    <None Include="packages.config">
      <SubType>Designer</SubType>
    </None>
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\ModelDLL\ModelDLL.csproj">
      <Project>{1ff7e50a-728f-4a0a-ae23-deb269a3ae42}</Project>
      <Name>ModelDLL</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\ServiceBus\ServiceBusDll\ServiceBusDLL.csproj">
      <Project>{9bc0a558-1907-4e8e-a00c-3c6fcfa92498}</Project>
      <Name>ServiceBusDLL</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\UserServiceDll\UserServiceDll\UserServiceDLL.csproj">
      <Project>{0a80d56d-bdde-405f-b533-4d93569cb241}</Project>
      <Name>UserServiceDLL</Name>
    </ProjectReference>
    <ProjectReference Include="..\WCFServiceWebRole1\AccountancyService.csproj">
      <Project>{24c12938-6663-4d20-8207-dc46b3d005d3}</Project>
      <Name>AccountancyService</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <WCFMetadata Include="Connected Services\" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <Import Project="..\..\salesserver\packages\NServiceBus.Persistence.Sql.MsBuild.2.1.3\build\NServiceBus.Persistence.Sql.MsBuild.targets" Condition="Exists('..\..\salesserver\packages\NServiceBus.Persistence.Sql.MsBuild.2.1.3\build\NServiceBus.Persistence.Sql.MsBuild.targets')" />
  <Target Name="EnsureNuGetPackageBuildImports" BeforeTargets="PrepareForBuild">
    <PropertyGroup>
      <ErrorText>This project references NuGet package(s) that are missing on this computer. Use NuGet Package Restore to download them.  For more information, see http://go.microsoft.com/fwlink/?LinkID=322105. The missing file is {0}.</ErrorText>
    </PropertyGroup>
    <Error Condition="!Exists('..\..\salesserver\packages\NServiceBus.Persistence.Sql.MsBuild.2.1.3\build\NServiceBus.Persistence.Sql.MsBuild.targets')" Text="$([System.String]::Format('$(ErrorText)', '..\..\salesserver\packages\NServiceBus.Persistence.Sql.MsBuild.2.1.3\build\NServiceBus.Persistence.Sql.MsBuild.targets'))" />
  </Target>
</Project>